class Triangle(val sideA: Double, val sideB: Double, val sideC: Double){
    init {
        if ((sideA + sideB <= sideC) or
                (sideB + sideC <= sideA) or
                (sideA + sideC <= sideB))
            throw IllegalArgumentException()
    }
    constructor(sideA: Int, sideB: Int, sideC: Int): this(sideA.toDouble(), sideB.toDouble(), sideC.toDouble())
    val isEquilateral = (sideA == sideB) and (sideA == sideC)
    val isIsosceles = (sideA == sideB) or (sideB == sideC) or (sideA == sideC)
    val isScalene = (sideA != sideB) and (sideB != sideC) and (sideA != sideC)
}